-2

I’ve been waiting for a Common Lisp with a decent IDE to become available on RPi and I see both Allegro https://franz.com/products/allegrocl/ and Lispworks http://www.lispworks.com/downloads/ have announced support For Common Lisp On ARM Linux. Does this mean they will install on top of Stretch? No doubt 2Gb+ of RAM would be ideal but would it run on a 1Gb Pi3?

  • If these programs have already launched the website should have the info you are seeking or at least a contact page so you ask your questions. If they are not released how can we answer this question? – Steve Robillard May 20 at 21:26
  • The question then becomes is Raspbian Stretch capable of running any ARM Linux binary, subject to having the right library versions such as glibc and enough memory? – Nick May 20 at 21:31
0

After a bit of fiddling and chatting with Allegro & Lispworks, ARM binaries marked as running on ARM/GNU Linux will run on RaspberryPi but they must be 32 bit binaries even though Pi is a 64 bit architecture. A 64 bit binary will install with no complaint but when the executable runs you'll receive an error saying it cannot be run.

As for Common LISP, Allegro is a no go since it is a 64 bit architecture, which is a great shame since even the free to download version is phenomenally powerful in what it offers. Lispworks, OTOH, is available as a 32 bit download with a limited version available for personal use. Shame that the full hobbyist version is so expensive at €400. Perhaps, LW and a few other vendors such as Matlab might like to follow Wolfram's lead with Mathematica and make their software availabe for free on Pi. I can't see it hitting their sales.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.